Contents

# Chr Function

Varca karakter koji odgovara odredenom kodu karaktera.

### Syntax:

          Chr[$](charcode As Integer) As String

### Return type:

String

### Parameters:

charcode: a numeric expression that represents a valid 8-bit ASCII value (0-255) or a 16-bit Unicode value. (To support expressions with a nominally negative argument like Chr(&H8000) in a backwards-compatible way, values in the range −32768 to −1 are internally mapped to the range 32768 to 65535.)

When VBA compatibility mode is enabled (Option VBASupport 1), charcode is a numeric expression that represents a valid 8-bit ASCII value (0-255) only.

Koristi Chr$ funkciju da pošalje specijalne kontrolne sekvence printeru ili nekom drugom izlaznom izvoru. Takode se može koristiti i za unošenje navodnika u string izrazima.

### Error codes:

5 Invalid procedure call

6 Prelivanje

An overflow error will occur when VBA compatibility mode is enabled and the expression value is greater than 255.

### Example:

            Sub ExampleChr
                REM Ovaj primjer unosi navodnike (ASCII value 34) u stringu.
                MsgBox "A " + Chr$(34) + "short" + Chr(34) + " trip."
                REM Ispis se prikazuje u dijalogu kao: "Kratko" putovanje.
                MsgBox Chr(charcode := 64) ' "@" sign
            End Sub

Related Topics

Asc Function (BASIC)

AscW Function [VBA]

ChrW Function [VBA]